pfsoctavelum(1)

NAME
pfsoctavelum - Process luminance in pfs stream using Octave

SYNOPSIS
pfsoctavelum <octave_program>

DESCRIPTION
Use this command to execute a GNU Octave program on luminance channel of each frame in the pfs stream. octave_program must be given in quotation marks ("") and must not produce any output (it can output to stderr, not to stdout). Color channels are scaled proportionaly to the luminance channel. Luminance channel is represented by matrix Y.

Note: This command requires GNU Octave.

EXAMPLES

pfsinrgbe frames_%04d.hdr | pfsoctavelum "Y = conv2( Y, gaussian( 10, 1/5 )*gaussian( 10, 1/5 )', 'same' );" | pfsview

Blur the sequence of frames with gaussian blur and show the result with pfsview.

BUGS
Please report bugs and comments to Rafal Mantiuk <mantiuk@mpi-sb.mpg.de>.